summaryrefslogtreecommitdiff
path: root/ansible
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2022-04-24 11:13:40 +0300
committerLars Wirzenius <liw@liw.fi>2022-04-24 11:13:40 +0300
commit1d2513abdd4c3e2f9accbcdb6a5b07d7c2e90893 (patch)
tree753e8c2039493a23a0be92ef843eb8fb0718ebce /ansible
parente17be42d9cbefd010d7113a81cb2713df4b6ca2f (diff)
downloadansibleness-1d2513abdd4c3e2f9accbcdb6a5b07d7c2e90893.tar.gz
exolobe5-vms.sh: add script to run Ansible against all the VMs on e5
This will save me so much time and effort. Sponsored-by: author
Diffstat (limited to 'ansible')
-rwxr-xr-xansible/exolobe5-vms.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/ansible/exolobe5-vms.sh b/ansible/exolobe5-vms.sh
new file mode 100755
index 0000000..8a16bcb
--- /dev/null
+++ b/ansible/exolobe5-vms.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -eu
+
+playbooks="
+apt-dev.yml
+billion.yml
+clab-dev.yml
+debian-ansible-dev.yml
+ewww-dev.yml
+ewww-test.yml
+ick2-dev.yml
+obnam-bench.yml
+obnam-dev.yml
+openpgp-ca-dev.yml
+python-mess.yml
+roadmap-dev.yml
+rust-dev.yml
+sequoia-dev.yml
+sequoia-web.yml
+sshca-dev.yml
+subplot-dev.yml
+vmadm-dev.yml
+vmdb2-dev.yml
+"
+
+parallel chronic ./run-playbook -- $playbooks
+
+cd "$HOME/pers/ick/ick2-ansible"
+chronic ./run-workers.sh ci-prod-controller.vm.liw.fi